Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452507 - Refactor Maven Builds and Create Common Parent POM for Projects
Summary: Refactor Maven Builds and Create Common Parent POM for Projects
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Other
Version: 1.3.9
Hardware: All
OS: All
low
low
Target Milestone: ---
: ---
Assignee: JBoss CSP Bug Watch List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 454710
TreeView+ depends on / blocked
 
Reported: 2008-06-23 13:58 UTC by John Sanda
Modified: 2008-08-21 14:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-20 18:27:11 UTC
Type: ---


Attachments (Terms of Use)

Description John Sanda 2008-06-23 13:58:34 UTC
Description of problem:
The jbossnetwork, gatekeeper, sep, and slide-client projects do not share a
common parent POM. There are things from the POMs that should be refactored into
a common parent project such as,

* dependency management section
* plugin management section
* build plugin configuration
* reporting plugin configuration
* common dependencies

We should also reorganize projects into a one source tree so that it looks
something like:

csp
|
|----jbossnetwork
|
|----gatekeeper
|
|----sep
|
|----slide-client

This way, someone can easily check out all of the projects, and then build(and
even possibly deploy) them with a single command.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John Sanda 2008-06-23 15:24:28 UTC
A little more detail on projects and project structure. From the outset, I can
see something like,

csp
|
|----jbossnetwork
|
|----gatekeeper
|
|----sep
|
|----slide-client
|
|----build-tools
|
|----test-commons
|
|----csp-qa


Some maven plugins, like those for checkstyle and pmd, expect to find their
respective configuration files and other resources on the classpath.  A
recommended approach is to create something like a build-tools project that
houses the resources. Then the projects that need them can declare the plugin
dependencies. Any custom plugins that might be developed could also live under
build-tools.

test-commons would hold common unit test classes and resources that might be
shared across projects.

csp-qa would also hold common test resources, but primarily aimed at
functional/acceptance tests like selenium.


Note You need to log in before you can comment on or make changes to this bug.